Bug 353581 - SELinux is preventing gdm-binary (xdm_t) "write" to <Unknown> (var_t).
SELinux is preventing gdm-binary (xdm_t) "write" to <Unknown> (var_t).
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-10-26 00:37 EDT by John Poelstra
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-02 23:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Poelstra 2007-10-26 00:37:22 EDT
Description of problem:
SELinux is preventing gdm-binary (xdm_t) "write" to <Unknown> (var_t).

Version-Release number of selected component (if applicable):
# rpm -qa | grep selinux

    SELinux is preventing gdm-binary (xdm_t) "write" to <Unknown> (var_t).

Detailed Description
    SELinux denied access requested by gdm-binary. It is not expected that this
    access is required by gdm-binary and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                root:object_r:var_t:s0
Target Objects                None [ file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-32.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     yardsale
Platform                      Linux yardsale #1 SMP Tue Oct 23
                              14:54:38 EDT 2007 x86_64 x86_64
Alert Count                   19
First Seen                    Fri 12 Oct 2007 02:32:16 PM PDT
Last Seen                     Thu 25 Oct 2007 03:02:34 PM PDT
Local ID                      95621043-d7aa-44d9-bfd1-b28344c7e81c
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm=gdm-binary dev=sda1
name=636F6F6C6B6579706B313173452D47617465203020302D30 pid=2576
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=file
Comment 1 Daniel Walsh 2007-10-29 23:15:33 EDT
I have no idea what this file is?

Do you know what this file is?

Could you execute

ausearch -m avc -i

And attach the output.
Comment 2 John Poelstra 2007-11-01 22:59:53 EDT
i'm not sure what this is blocking--my box seems to function fine, I just saw it
in the log and setroubleshoot.

let me do a fresh install of the RC to make sure this isn't something weird
Comment 3 John Poelstra 2007-11-02 23:29:57 EDT
not seeing this anymore on fresh install.  will reopen if I see it again

Note You need to log in before you can comment on or make changes to this bug.